<?php
require_once( LIB_DIR . 'Prototype' . DS . 'class.PTPlugin.php' );

class EntryFilterThisWeek extends PTPlugin {

    function __construct () {
        parent::__construct();
    }

    function filter_entry_this_week ( $app, &$terms, $model, $option, &$args, &$extra, &$ex_vals ) {
        $today = date( 'D' );
        $last_sunday = $today === 'Sun' ? date( 'Y-m-d 00:00:00' ) : date( 'Y-m-d H:i:s', strtotime( 'Last Sunday') );
        $next_saturday = $today === 'Sat' ? date( 'Y-m-d 23:59:59' ) : date( 'Y-m-d 23:59:59', strtotime( 'Next Saturday') );
        $terms['published_on'] = ['BETWEEN' => [ $last_sunday, $next_saturday ] ]; // 日曜日から土曜日まで
        $max_status = 4;
        if ( $workspace_id = $app->param( 'workspace_id' ) ) {
            $max_status == $app->max_status( $app->user(), $app->param( '_model' ), $workspace_id );
            if ( $max_status < 4 ) {
                $max_status++;
            }
        }
        $terms['status'] = ['<' => $max_status ]; // ステータスが公開・終了以外
    }

}